<!DOCTYPE html>
<html lang="en">

<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta http-equiv="X-UA-Compatible" content="ie=edge">
   <title>Document</title>
</head>

<body>
   <section id="container">
      respuesta a poeticion:
   </section>

   <script type="text/javascript">
      var req = new XMLHttpRequest();
      req.open('GET', 'https://jsonplaceholder.typicode.com/posts', false);
      req.send(null);
      if (req.status == 200) {
         console.log('Respuesta Correcta');
         display(req.responseText);
      } else {
         console.log('la peticion fallo')
      }
      function display(text) {
         let element = document.getElementById('container');
         element.textContent = text;
      }
   </script>
</body>

</html>